Update Connector
UpdateConnector updates a Connector with the specified request body. All mutable fields are updated as per the
request body, and the updatedAt field is set to the current time. Any missing fields will be unset unless this
causes a validation error, in which case the request will fail with a 400 Bad Request response.
Authorizations
Path Parameters
Body
- Option 1
- Option 2
ConnectorUpdate is the input to the UpdateConnector endpoint.
AuthSchemeConfigIDs allows reordering the AuthSchemeConfigs for the Connector. This field cannot be used to
create/edit/delete individual AuthSchemeConfigs, for those use cases, see the API endpoints at
/o/:organisationId/connectors/:connectorId/auth-scheme-configs[/:id]. If this field is omitted then the
AuthSchemeConfigs are not edited.
Response
OK
- Option 1
- Option 2
Connector represents a connector to an external system.
AuthSchemeConfig defines how a Connector implements the AuthScheme in order to fulfil its authentication requirements. This is purely the configuration and not the actual credential which is used to authenticate. The credential uses this configuration to determine how to authenticate.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6